%define srcname certifi
%define certifi_version 2017.4.17

Name: python-%{srcname}
Version: %{certifi_version}
Release: 1%{?dist}
Url: http://pypi.python.org/pypi/%{srcname}
Summary: Python package for providing Mozilla's CA Bundle.
License: ISC
Group: Development/Libraries
Source: https://files.pythonhosted.org/packages/source/c/%{srcname}/%{srcname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

BuildArch: noarch

BuildRequires: python2-devel
BuildRequires: python-setuptools
Requires: python2

%description
Certifi is a carefully curated collection of Root Certificates for validating
the trustworthiness of SSL certificates while verifying the identity of TLS
hosts. It has been extracted from the Requests project.

%prep
%setup -q -n %{srcname}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --prefix=%{_prefix} --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{python_sitelib}/certifi*
%doc LICENSE README.rst PKG-INFO

%changelog
* Tue Jun 13 2017 Laszlo (Laca) Peter <laszlo.peter@oracle.com>
- initial spec file for certifi 2017.4.17

